.post {
  @include above(rem(1450px)) {
    margin-left: 347px;
  }

  #{headings(1, 6)} {
    &:before {
      margin-right: 10px;
      font-weight: $font-weight-light;
      color: $main;
    }
  }

  .post-title {
    margin: 0;
    font-size: rem(30px);
    text-align: center;

    @include above($cut) {
      font-size: rem(40px)
    }

    &:before {
      content: '#';
      font-size: rem(40px);
      color: $main;
    }
  }

  .time {
    margin-top: 30px;
    @include mainFont($font-weight-light);
    text-align: center;
  }
}

.post-content {
  padding: {
    top: rem(16px);
    bottom: rem(16px);
    //left: rem(20px);
    //right: rem(20px);
  };

  img {
    display: block;
    max-width: 100%;
    margin: rem(30px) auto;
  }

  p, ul, ol, .tags, iframe {
    margin: 0 auto rem(15px);
  }

  $c: '';
  @for $i from 1 through 6 {
    $c: $c + '#';
    h#{$i} {

      &:before {
        content: $c;
      }
    }
  }

  #{headings(1, 6)} {
    margin: rem(30px) auto rem(15px);
  }

  p, #{headings(1, 6)}, ul, ol, .tags, iframe {
    max-width: rem(800px);
    padding: 0 rem(15px);
    //margin: 0 auto rem(20px);
    @include mainFont($font-weight-light);
    font-size: rem(15px);
    line-height: 2;
    letter-spacing: .01rem;

    @include above($cut) {
      font-size: rem(20px);
    }
  }

  p, li {
    color: $texts;

    code {
      color: $colorcode;
    }
  }

  a {
    border-bottom: 2px solid $main;
    font: {
      family: $font-family-text;
      style: normal;
    };
    text-decoration: none;
    color: $main;

    &:hover {
      background-color: $mainHover;
    }
  }

  iframe {
    width: 100%;
    margin-top: rem(30px);
  }

  #twitter-widget-0 {
    margin: auto !important;
  }

  #{headings(1, 6)} {
    @include mainFont($font-weight-extrabold);
    line-height: 1.4;
  }

  h1 {
    font-size: rem(30px);

    @include above($cut) {
      font-size: rem(45px);
    }
  }

  h2 {
    font-size: rem(22px);

    &:before {
      font-size: rem(25px);
    }

    @include above($cut) {
      font-size: rem(35px);
    }
  }

  h3 {
    font-size: rem(18px);

    @include above($cut) {
      font-size: rem(25px);
    }
  }

  ul, ol {
    padding-left: rem(40px);
  }

  ul.post-list {
    padding: 0;

    @include below($cut) {
      padding: 0 rem(20px);
    }
  }

  blockquote {
    @include center(rem(730px));
    margin: rem(50px) auto;
    padding: 0 rem(30px);
    border-left: rem(5px) solid $main;

    @include below($cut) {
      width: 70%;
    }

    p {
      color: rgba(black, .6);
      margin: 0;

      @include below($cut) {
        padding: 0;
        font-size: rem(18px);
        line-height: 1.5;
      }
    }
  }

  hr {
    margin: 50px auto;
    @include center(rem(760px));
    border: 1px solid $lightGray;
  }

  .about_perfil {
    width: 200px;
  }
}

.share {
  padding: {
    top: rem(20px);
    bottom: rem(20px);
  }
  @include center(800px);
  border-top: 1px solid $lightGray;
  text-align: center;

  .icon {
    margin: rem(15px);
    font-size: 2rem;
    color: black;
  }

  a {
    text-decoration: none;

    &:hover .icon {
      color: $main;
    }
  }
}

table {
  margin: rem(50px) auto;

  @include below($cut) {
    display: none;
  }

  th, td {
    border: rem(2px) solid #ccc;
    padding: rem(5px);
  }
}

figcaption {
  font-size: small;
}

.tag-title {
  margin-top: rem(60px);
  @include center(rem(800px));
  @include mainFont($font-weight-light);
  font-size: rem(36px);

  @include below($cut) {
    margin-top: rem(20px);
    padding: 0 rem(20px);
    font-size: rem(28px);
  }
}

.post-list {
  list-style: none;
  margin: rem(25px) auto;

  @include below($cut) {
    padding: 0 rem(20px);
  }

  a {
    display: block;
    padding: rem(10px) 0;
    border-bottom: 1px solid darken($lightGray, 5%);
    text-decoration: none;
    transition: all .5s;

    &:hover {
      color: $hover;
      border-bottom: 1px solid $hover;
    }
  }

  .entry-date {
    float: right;

    @include below($cut) {
      display: none;
    }
  }
}
